bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix syntax-check failures


From: Paolo Bonzini
Subject: [PATCH] tests: fix syntax-check failures
Date: Wed, 17 Mar 2010 10:49:55 +0100

I should really make a pre-commit hook.  The first one is fun though. :-)

* tests/case-fold-backref: Use "foo" instead of "the".
* tests/dfaexec-multibyte: Remove trailing blanks.
---
 tests/case-fold-backref |    4 ++--
 tests/dfaexec-multibyte |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/case-fold-backref b/tests/case-fold-backref
index 0af7a19..d342ad7 100644
--- a/tests/case-fold-backref
+++ b/tests/case-fold-backref
@@ -3,12 +3,12 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'the the\nThe the\nTHE the\n'      > exp1 || framework_failure
+printf 'foo foo\nFoo foo\nFOO foo\n'      > exp1 || framework_failure
 fail=0
 
 for LOC in en_US.UTF-8 en_US zh_CN $LOCALE_FR_UTF8 C; do
   out=out1-$LOC
-  LC_ALL=$LOC grep -Ei '(the) \1' exp1 > $out || fail=1
+  LC_ALL=$LOC grep -Ei '(foo) \1' exp1 > $out || fail=1
   compare $out exp1 || fail=1
 done
 
diff --git a/tests/dfaexec-multibyte b/tests/dfaexec-multibyte
index 0aeac59..1798768 100644
--- a/tests/dfaexec-multibyte
+++ b/tests/dfaexec-multibyte
@@ -9,15 +9,15 @@ printf '1 2 3\n' > exp2 || framework_failure
 fail=0
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
-  out=out1-ab-$LOC         
+  out=out1-ab-$LOC
   LC_ALL=$LOC grep -E '([a]|[b]){2}' < exp1 > $out || fail=1
   compare $out exp1 || fail=1
 
-  out=out1-ba-$LOC         
+  out=out1-ba-$LOC
   LC_ALL=$LOC grep -E '([b]|[a]){2}' < exp1 > $out || fail=1
   compare $out exp1 || fail=1
 
-  out=out2-$LOC         
+  out=out2-$LOC
   LC_ALL=$LOC grep -E '^([[:digit:]]+[[:space:]]+){2}' < exp2 > $out || fail=1
   compare $out exp2 || fail=1
 
-- 
1.6.6.1





reply via email to

[Prev in Thread] Current Thread [Next in Thread]